org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternCompositionConstraintElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_1_1()`
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_0_1()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_1_1_0()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_1_1_1()`
    `org.eclipse.xtext.RuleCall` | `getCallEClassifierConstraintParserRuleCall_1_1_0_0()`
    `org.eclipse.xtext.RuleCall` | `getCallPathExpressionConstraintParserRuleCall_1_1_1_0()`
    `org.eclipse.xtext.RuleCall` | `getCallPatternCallParserRuleCall_0_1_0()`
    `org.eclipse.xtext.Group` | `getGroup_0()`
    `org.eclipse.xtext.Group` | `getGroup_1()`
    `org.eclipse.xtext.Assignment` | `getNegativeAssignment_0_0()`
    `org.eclipse.xtext.Assignment` | `getNegativeAssignment_1_0()`
    `org.eclipse.xtext.Keyword` | `getNegativeNegKeyword_0_0_0()`
    `org.eclipse.xtext.Keyword` | `getNegativeNegKeyword_1_0_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternCompositionConstraintElements

          public PatternCompositionConstraintElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getGroup_0

          public org.eclipse.xtext.Group getGroup_0()

    - #### getNegativeAssignment_0_0

          public org.eclipse.xtext.Assignment getNegativeAssignment_0_0()

    - #### getNegativeNegKeyword_0_0_0

          public org.eclipse.xtext.Keyword getNegativeNegKeyword_0_0_0()

    - #### getCallAssignment_0_1

          public org.eclipse.xtext.Assignment getCallAssignment_0_1()

    - #### getCallPatternCallParserRuleCall_0_1_0

          public org.eclipse.xtext.RuleCall getCallPatternCallParserRuleCall_0_1_0()

    - #### getGroup_1

          public org.eclipse.xtext.Group getGroup_1()

    - #### getNegativeAssignment_1_0

          public org.eclipse.xtext.Assignment getNegativeAssignment_1_0()

    - #### getNegativeNegKeyword_1_0_0

          public org.eclipse.xtext.Keyword getNegativeNegKeyword_1_0_0()

    - #### getAlternatives_1_1

          public org.eclipse.xtext.Alternatives getAlternatives_1_1()

    - #### getCallAssignment_1_1_0

          public org.eclipse.xtext.Assignment getCallAssignment_1_1_0()

    - #### getCallEClassifierConstraintParserRuleCall_1_1_0_0

          public org.eclipse.xtext.RuleCall getCallEClassifierConstraintParserRuleCall_1_1_0_0()

    - #### getCallAssignment_1_1_1

          public org.eclipse.xtext.Assignment getCallAssignment_1_1_1()

    - #### getCallPathExpressionConstraintParserRuleCall_1_1_1_0

          public org.eclipse.xtext.RuleCall getCallPathExpressionConstraintParserRuleCall_1_1_1_0()